

--[[


	$project:		Afterlife Crowd Control
	$copyright:		© Copyright Michael Boyle c/o Softrix.
				All Rights Reserved.
							
	$credits:		
				Created by Michael Boyle.
				Updated to 40200 by Pakal1 and Arbixal on Curse (www.curse.com)

				This addon uses a modified version of the GTB
				bar library by Shadowed. For the purpose of 
				these credits the original bar library can be
				downloaded from:
							
				http://www.wowinterface.com/downloads/info10204-GTB-1.0.html
							
]]--


--
--	Setup locals
--
function Afterlife_SetLocalisation()
	
	-- wheres this client then?
	local client_area = GetLocale();		

	-- English/US
	if(client_area == "enUS") then 

		-- group titles
		PRIMARY_GROUP_TITLE =				"Crowd Controls";
		DIMINSH_RETURNS_TITLE =				"Diminish Returns";
		-- Announces.
		AFTERLIFE_APPLIED_SPELL =			"[%s] has been applied to [%s%s].";				-- [Shackle Undead] has been appled to [Skeletal Warrior].
		AFTERLIFE_BREAK_NORMAL =			"[%s] has broken on [%s%s].";					-- [Polymorph] has broken on [Afterlife].
		AFTERLIFE_BREAK_PLAYER =			"[%s] was broken on [%s%s] by %s's %s.";			-- [Polymorph was broken on [Afterlife] by Shedney.
		AFTERLIFE_SECONDS_TXT1 =			"[%s%s] breaks free in %d seconds.";				-- [Afterlife] breaks free in 10 seconds.
		AFTERLIFE_SECONDS_TXT2 =			"%s's [%s] breaks free in %d seconds.";				-- Silverblosse's [Skeletal Warrior] breaks free in 10 seconds.
		AFTERLIFE_SPELL_MISSED1 =			"[%s] is %s to [%s].";						-- [Afterlife] is IMMUNE to [Polymorph].
		AFTERLIFE_SPELL_MISSED2 =			"[%s] has %s my [%s].";						-- [Afterlife] has RESISTED my [Polymorph].
		-- Auto Reputation bar.
		AFTERLIFE_REPUTATION_PARSE_TXT =		"Reputation with (.+) increased by (%d+).";
		AFTERLIFE_AUTOREPBAR =				"|cff00e0ffAfterlife : |cffffffffReputation bar changed to ";	

	-- France
	elseif(client_area == "frFR") then 

		-- group titles
		PRIMARY_GROUP_TITLE =				"Crowd Controls";
		DIMINSH_RETURNS_TITLE =				"Diminish Returns";
		-- Announces.
		AFTERLIFE_APPLIED_SPELL =			"[%s] has been applied to [%s%s].";				-- [Shackle Undead] has been appled to [Skeletal Warrior].
		AFTERLIFE_BREAK_NORMAL =			"[%s] has broken on [%s%s].";					-- [Polymorph] has broken on [Afterlife].
		AFTERLIFE_BREAK_PLAYER =			"[%s] was broken on [%s%s] by %s's %s.";			-- [Polymorph was broken on [Afterlife] by Shedney.
		AFTERLIFE_SECONDS_TXT1 =			"[%s%s] breaks free in %d seconds.";				-- [Afterlife] breaks free in 10 seconds.
		AFTERLIFE_SECONDS_TXT2 =			"%s's [%s] breaks free in %d seconds.";				-- Silverblosse's [Skeletal Warrior] breaks free in 10 seconds.
		AFTERLIFE_SPELL_MISSED1 =			"[%s] is %s to [%s].";						-- [Afterlife] is IMMUNE to [Polymorph].
		AFTERLIFE_SPELL_MISSED2 =			"[%s] has %s my [%s].";						-- [Afterlife] has RESISTED my [Polymorph].
		-- Auto Reputation bar.
		AFTERLIFE_REPUTATION_PARSE_TXT =		"Reputation with (.+) increased by (%d+).";
		AFTERLIFE_AUTOREPBAR =				"|cff00e0ffAfterlife : |cffffffffReputation bar changed to ";		

	-- German
	elseif(client_area == "deDE") then 

		-- group titles
		PRIMARY_GROUP_TITLE =				"Crowd Controls";
		DIMINSH_RETURNS_TITLE =				"Diminish Returns";
		-- Announces.
		AFTERLIFE_APPLIED_SPELL =			"[%s] has been applied to [%s%s].";				-- [Shackle Undead] has been appled to [Skeletal Warrior].
		AFTERLIFE_BREAK_NORMAL =			"[%s] has broken on [%s%s].";					-- [Polymorph] has broken on [Afterlife].
		AFTERLIFE_BREAK_PLAYER =			"[%s] was broken on [%s%s] by %s's %s.";			-- [Polymorph was broken on [Afterlife] by Shedney.
		AFTERLIFE_SECONDS_TXT1 =			"[%s%s] breaks free in %d seconds.";				-- [Afterlife] breaks free in 10 seconds.
		AFTERLIFE_SECONDS_TXT2 =			"%s's [%s] breaks free in %d seconds.";				-- Silverblosse's [Skeletal Warrior] breaks free in 10 seconds.
		AFTERLIFE_SPELL_MISSED1 =			"[%s] is %s to [%s].";						-- [Afterlife] is IMMUNE to [Polymorph].
		AFTERLIFE_SPELL_MISSED2 =			"[%s] has %s my [%s].";						-- [Afterlife] has RESISTED my [Polymorph].
		-- Auto Reputation bar.
		AFTERLIFE_REPUTATION_PARSE_TXT =		"Euer Ruf bei der Fraktion '(.+)' hat sich um (%d+) verbessert.";
		AFTERLIFE_AUTOREPBAR =				"|cff00e0ffNatur : |cffffffffRufleiste gewechselt zu ";	

	-- Korean
	elseif(client_area == "koKR") then 

		-- group titles
		PRIMARY_GROUP_TITLE =				"Crowd Controls";
		DIMINSH_RETURNS_TITLE =				"Diminish Returns";
		-- Announces.
		AFTERLIFE_APPLIED_SPELL =			"[%s] has been applied to [%s%s].";				-- [Shackle Undead] has been appled to [Skeletal Warrior].
		AFTERLIFE_BREAK_NORMAL =			"[%s] has broken on [%s%s].";					-- [Polymorph] has broken on [Afterlife].
		AFTERLIFE_BREAK_PLAYER =			"[%s] was broken on [%s%s] by %s's %s.";			-- [Polymorph was broken on [Afterlife] by Shedney.
		AFTERLIFE_SECONDS_TXT1 =			"[%s%s] breaks free in %d seconds.";				-- [Afterlife] breaks free in 10 seconds.
		AFTERLIFE_SECONDS_TXT2 =			"%s's [%s] breaks free in %d seconds.";				-- Silverblosse's [Skeletal Warrior] breaks free in 10 seconds.
		AFTERLIFE_SPELL_MISSED1 =			"[%s] is %s to [%s].";						-- [Afterlife] is IMMUNE to [Polymorph].
		AFTERLIFE_SPELL_MISSED2 =			"[%s] has %s my [%s].";						-- [Afterlife] has RESISTED my [Polymorph].
		-- Auto Reputation bar.
		AFTERLIFE_REPUTATION_PARSE_TXT =		"Reputation with (.+) increased by (%d+).";
		AFTERLIFE_AUTOREPBAR =				"|cff00e0ffAfterlife : |cffffffffReputation bar changed to ";	

	-- Chinese (simplified)
	elseif(client_area == "zhCN") then 

		-- group titles 
		PRIMARY_GROUP_TITLE =	 "T?"; 
		DIMINSH_RETURNS_TITLE =	 "Diminish Returns"; 
		-- Announces. 
		AFTERLIFE_APPLIED_SPELL =	 "[%s]I{[%s%s]";	 -- [Shackle Undead] has been appled to [Skeletal Warrior]. 
		AFTERLIFE_BREAK_NORMAL =	 "[%s][%s%s]?";	 -- [Polymorph] has broken on [Afterlife]. 
		AFTERLIFE_BREAK_PLAYER =	 "[%s%s][%s] %s I %s Ŕj";	 -- [Polymorph was broken on [Afterlife] by Shedney. 
		AFTERLIFE_SECONDS_TXT1 =	 "[%s%s]- %d b?";	 -- [Afterlife] breaks free in 10 seconds. 
		AFTERLIFE_SECONDS_TXT2 =	 "%s I [%s]- %d b?";	 -- Silverblosse's [Skeletal Warrior] breaks free in 10 seconds. 
		AFTERLIFE_SPELL_MISSED1 =	 "[%s] Ɖu %s [%s].";	 -- [Afterlife] is IMMUNE to [Polymorph]. 
		AFTERLIFE_SPELL_MISSED2 =	 "[%s] ƉuI %s [%s].";	 -- [Afterlife] has RESISTED my [Polymorph]. 
		-- Auto Reputation bar. 
		AFTERLIFE_REPUTATION_PARSE_TXT =	 "] (.+)  (%d+)."; 
		AFTERLIFE_AUTOREPBAR =	 "cffffffff]?? : |cff00e0ffAfterlife ";

	-- Chinese (traditional)
	elseif(client_area == "zhTW") then 
		
		-- group titles 
		PRIMARY_GROUP_TITLE =	 "Tꏕ"; 
		DIMINSH_RETURNS_TITLE =	 "Diminish Returns"; 
		-- Announces. 
		AFTERLIFE_APPLIED_SPELL =	 "[%s]{[%s%s]";	 -- [Shackle Undead] has been appled to [Skeletal Warrior]. 
		AFTERLIFE_BREAK_NORMAL =	 "[%s][%s%s]J";	 -- [Polymorph] has broken on [Afterlife]. 
		AFTERLIFE_BREAK_PLAYER =	 "[%s%s][%s] %s I %s Ŕj"; 	 -- [Polymorph was broken on [Afterlife] by Shedney. 
		AFTERLIFE_SECONDS_TXT1 =	 "[%s%s]- %d bJ";	 -- [Afterlife] breaks free in 10 seconds. 
		AFTERLIFE_SECONDS_TXT2 =	 "%s I [%s]- %d bJ";	 -- Silverblosse's [Skeletal Warrior] breaks free in 10 seconds. 
		AFTERLIFE_SPELL_MISSED1 =	 "[%s] Ɖu %s [%s].";	 -- [Afterlife] is IMMUNE to [Polymorph]. 
		AFTERLIFE_SPELL_MISSED2 =	 "[%s] ƉuI %s [%s].";	 -- [Afterlife] has RESISTED my [Polymorph]. 
		-- Auto Reputation bar. 
		AFTERLIFE_REPUTATION_PARSE_TXT =	 "ߖ] (.+)  (%d+)."; 
		AFTERLIFE_AUTOREPBAR =	 "cffffffffߖ] : |cff00e0ffAfterlife ";

	-- Russian
	elseif(client_area == "ruRU") then 

		-- group titles
		PRIMARY_GROUP_TITLE =				"Crowd Controls";
		DIMINSH_RETURNS_TITLE =				"Diminish Returns";
		-- Announces.
		AFTERLIFE_APPLIED_SPELL =			"[%s] has been applied to [%s%s].";				-- [Shackle Undead] has been appled to [Skeletal Warrior].
		AFTERLIFE_BREAK_NORMAL =			"[%s] has broken on [%s%s].";					-- [Polymorph] has broken on [Afterlife].
		AFTERLIFE_BREAK_PLAYER =			"[%s] was broken on [%s%s] by %ss %s.";				-- [Polymorph was broken on [Afterlife] by Shedney.
		AFTERLIFE_SECONDS_TXT1 =			"[%s%s] breaks free in %d seconds.";				-- [Afterlife] breaks free in 10 seconds.
		AFTERLIFE_SECONDS_TXT2 =			"%s's [%s] breaks free in %d seconds.";				-- Silverblosse's [Skeletal Warrior] breaks free in 10 seconds.
		AFTERLIFE_SPELL_MISSED1 =			"[%s] is %s to [%s].";						-- [Afterlife] is IMMUNE to [Polymorph].
		AFTERLIFE_SPELL_MISSED2 =			"[%s] has %s my [%s].";						-- [Afterlife] has RESISTED my [Polymorph].
		-- Auto Reputation bar.
		AFTERLIFE_REPUTATION_PARSE_TXT =		"Reputation with (.+) increased by (%d+).";
		AFTERLIFE_AUTOREPBAR =				"|cff00e0ffAfterlife : |cffffffffReputation bar changed to ";	

	-- Spanish (Spain)
	elseif(client_area == "esES") then 

		-- group titles
		PRIMARY_GROUP_TITLE =				"Crowd Controls";
		DIMINSH_RETURNS_TITLE =				"Diminish Returns";
		-- Announces.
		AFTERLIFE_APPLIED_SPELL =			"[%s] has been applied to [%s%s].";				-- [Shackle Undead] has been appled to [Skeletal Warrior].
		AFTERLIFE_BREAK_NORMAL =			"[%s] has broken on [%s%s].";					-- [Polymorph] has broken on [Afterlife].
		AFTERLIFE_BREAK_PLAYER =			"[%s] was broken on [%s%s] by %s's %s.";			-- [Polymorph was broken on [Afterlife] by Shedney.
		AFTERLIFE_SECONDS_TXT1 =			"[%s%s] breaks free in %d seconds.";				-- [Afterlife] breaks free in 10 seconds.
		AFTERLIFE_SECONDS_TXT2 =			"%s's [%s] breaks free in %d seconds.";				-- Silverblosse's [Skeletal Warrior] breaks free in 10 seconds.
		AFTERLIFE_SPELL_MISSED1 =			"[%s] is %s to [%s].";						-- [Afterlife] is IMMUNE to [Polymorph].
		AFTERLIFE_SPELL_MISSED2 =			"[%s] has %s my [%s].";						-- [Afterlife] has RESISTED my [Polymorph].
		-- Auto Reputation bar.
		AFTERLIFE_REPUTATION_PARSE_TXT =		"Reputation with (.+) increased by (%d+).";
		AFTERLIFE_AUTOREPBAR =				"|cff00e0ffAfterlife : |cffffffffReputation bar changed to ";	

	-- Mexico
	elseif(client_area == "esMX") then 

		-- group titles
		PRIMARY_GROUP_TITLE =				"Crowd Controls";
		DIMINSH_RETURNS_TITLE =				"Diminish Returns";
		-- Announces.
		AFTERLIFE_APPLIED_SPELL =			"[%s] has been applied to [%s%s].";				-- [Shackle Undead] has been appled to [Skeletal Warrior].
		AFTERLIFE_BREAK_NORMAL =			"[%s] has broken on [%s%s].";					-- [Polymorph] has broken on [Afterlife].
		AFTERLIFE_BREAK_PLAYER =			"[%s] was broken on [%s%s] by %s's %s.";			-- [Polymorph was broken on [Afterlife] by Shedney.
		AFTERLIFE_SECONDS_TXT1 =			"[%s%s] breaks free in %d seconds.";				-- [Afterlife] breaks free in 10 seconds.
		AFTERLIFE_SECONDS_TXT2 =			"%s's [%s] breaks free in %d seconds.";				-- Silverblosse's [Skeletal Warrior] breaks free in 10 seconds.
		AFTERLIFE_SPELL_MISSED1 =			"[%s] is %s to [%s].";						-- [Afterlife] is IMMUNE to [Polymorph].
		AFTERLIFE_SPELL_MISSED2 =			"[%s] has %s my [%s].";						-- [Afterlife] has RESISTED my [Polymorph].
		-- Auto Reputation bar.
		AFTERLIFE_REPUTATION_PARSE_TXT =		"Reputation with (.+) increased by (%d+).";
		AFTERLIFE_AUTOREPBAR =				"|cff00e0ffAfterlife : |cffffffffReputation bar changed to ";	

	end;
	
end;