﻿local addonName = "Altoholic"
local addon = _G[addonName]

local BF = LibStub("LibBabble-Faction-3.0"):GetLookupTable()

if GetLocale() ~= "zhCN" then return end

local WHITE		= "|cFFFFFFFF"
local GREEN		= "|cFF00FF00"
local YELLOW	= "|cFFFFFF00"

-- 以下为声望值、等级、技能等的建议
addon.FactionLeveling = {

	-- 声望值级别
	-- -42000 = "仇恨"
	-- -6000 = "敌对"
	-- -3000 = "冷淡"
	-- 0 = "中立"
	-- 3000 = "友善"
	-- 9000 = "尊敬"
	-- 21000 = "崇敬"
	-- 42000 = "崇拜"
	
	-- Outland factions: source: http://www.mmo-champion.com/
	[BF["The Aldor"]] = {
		[0] = WHITE .. "[巨牙毒囊]|r +250 声望值\n\n"
				.. YELLOW .. "巨牙潜伏者,\n巨牙寡妇蛛\n"
				.. WHITE .. "(泰罗卡森林)",
		[9000] = WHITE .. "[基尔加丹印记]|r\n+25 声望值",
		[42000] = WHITE .. "[萨格拉斯印记]|r +25 声望值/每枚\n" 
				.. GREEN .. "[邪能装备]|r +350 声望值 (+1 神圣之尘)"
	},
	[BF["The Scryers"]] = {
		[0] = WHITE .. "[湿鳞蜥蜴的眼睛]|r +250 声望值\n\n"
				.. YELLOW .. "铁脊石化者,\n湿鳞吞噬者,\n湿鳞蜥蜴\n"
				.. WHITE .. "(泰罗卡森林)",
		[9000] = WHITE .. "[火翼徽记]|r\n+25 声望值",
		[42000] = WHITE .. "[日怒徽记]|r +25 声望值 per mark\n" 
				.. GREEN .. "[奥法宝典]|r +350 声望值 (+1 奥术符文)"
	},
	[BF["Netherwing"]] = {
		[3000] = "重复以下任务:\n\n" 
				.. YELLOW .. "缓慢的死亡 (日常)|r +250 声望值\n"
				.. YELLOW.. "灵尘花粉 (日常)|r +250 声望值\n"
				.. YELLOW.. "灵翼水晶 (日常)|r +250 声望值\n"
				.. YELLOW.. "危险的天空 (日常)|r +250 声望值\n"
				.. YELLOW.. "寻找灵翼龙卵 (可重复提交)|r +250 声望值",
		[9000] = "重复以下任务:\n\n" 
				.. YELLOW .. "新的监工：正确的选择|r +350 声望值\n"
				.. YELLOW .. "训诫靴：懒惰苦工的惩戒 (日常)|r +350 声望值\n"
				.. YELLOW .. "回收货物 (日常)|r +350 声望值\n"
				.. YELLOW .. "龙？不是问题 (日常)|r +350 声望值\n"
				.. YELLOW .. "疯狂与困惑|r +350 声望值\n",
		[21000] = "重复以下任务:\n\n" 
				.. YELLOW .. "征服者雷萨赫尔顿|r +500 声望值\n" 
				.. YELLOW .. "暮光岭的传送门 (日常)|r +500 声望值\n"
				.. YELLOW .. "你的双翼 +500 声望值(1~5号), +1000 声望值(6号)\n",
		[42000] = "升到崇拜, 重复以下任务:\n\n" 
				.. YELLOW .. "最致命的陷阱 (日常) (3+)|r +500 声望值"
	},
	[BF["Honor Hold"]] = {
		[9000] = "\n" 
				.. YELLOW .. "地狱火半岛的任务\n"
				.. GREEN .. "地狱火城墙 |r(普通)\n"
				.. GREEN .. "鲜血熔炉 |r(普通)",
		[42000] = "\n" 
				.. GREEN .. "破碎大厅 |r(普通或英雄)\n"
				.. GREEN .. "地狱火城墙 |r(英雄)\n"
				.. GREEN .. "鲜血熔炉 |r(英雄)"
	},
	[BF["Thrallmar"]] = {
		[9000] = "\n" 
				.. YELLOW .. "地狱火半岛的任务\n"
				.. GREEN .. "地狱火城墙 |r(普通)\n"
				.. GREEN .. "鲜血熔炉 |r(普通)",
		[42000] = "\n" 
				.. GREEN .. "破碎大厅 |r(普通或英雄)\n"
				.. GREEN .. "地狱火城墙 |r(英雄)\n"
				.. GREEN .. "鲜血熔炉 |r(英雄)"
	},
	[BF["Cenarion Expedition"]] = {
		[3000] = "\n" 
				.. WHITE .. "暗潮纳迦或者血鳞纳迦 (+5 声望值)\n"
				.. YELLOW .. "赞加沼泽的任务\n"
				.. "|r杀入任意 " .. GREEN .. "盘牙水库|r 的副本\n\n"
				.. WHITE .. "保存 [未鉴定过的植物] 为稍后上缴",
		[9000] = "\n" 
				.. WHITE .. "上缴 [未鉴定过的植物] x240\n"
				.. YELLOW .. "赞加沼泽的任务\n"
				.. "|r杀入任意 " .. GREEN .. "盘牙水库|r 的副本",
		[42000] = "\n" 
				.. WHITE .. "上缴 [盘牙武器] +75 声望值\n\n"
				.. GREEN .. "蒸汽地窟 |r(普通)\n"
				.. GREEN .. "任何盘牙水库的副本 |r(英雄)"
	},
	[BF["Keepers of Time"]] = {
		[42000] = "\n" 
				.. "|r杀入 " .. GREEN .. "旧希尔斯布莱德丘陵|r 和 " .. GREEN .. "黑色沼泽|r 副本\n\n"
				.. YELLOW .. "最后交任务:\n“旧希尔斯布莱德丘陵”任务线共计 5000 声望值\n“黑色沼泽”任务线共计 8000 声望值"
	},
	[BF["The Sha'tar"]] = {
		[42000] = "\n" 
				.. GREEN .. "生态船 |r(普通或英雄)\n"
				.. GREEN .. "能源舰 |r(普通或英雄)\n"
				.. GREEN .. "禁魔监狱 |r(普通或英雄)\n"
	},	
	[BF["Lower City"]] = {
		[9000] = "\n" 
				.. WHITE .. "上缴 [鸦人的羽毛]×30 (+250 声望值)\n"
				.. GREEN .. "暗影迷宫 |r(普通)\n"
				.. GREEN .. "奥金尼地穴 |r(普通)\n"
				.. GREEN .. "塞泰克大厅 |r(普通)",
		[42000] = "\n" 
				.. GREEN .. "暗影迷宫 |r(普通或英雄)\n"
				.. GREEN .. "奥金尼地穴 |r(英雄)\n"
				.. GREEN .. "塞泰克大厅 |r(英雄)"
	},	
	[BF["The Consortium"]] = {
		[3000] = "\n" 
				.. "|r上缴 [沃舒古水晶碎片] +250 声望值\n"
				.. "上缴 [象牙] +250 声望值\n\n"
				.. GREEN .. "法力坟墓 |r(普通)",
		[9000] = "\n" 
				.. "|r上缴 [黑曜石作战念珠] +250 声望值\n\n"
				.. GREEN .. "法力坟墓 |r(普通)",
		[42000] = "\n" 
				.. "|r上缴 [萨克希斯徽记] +250 声望值\n"
				.. "|r上缴 [黑曜石作战念珠] +250 声望值\n\n"
				.. GREEN .. "法力坟墓 |r(英雄)"
	},
	[BF["Shattered Sun Offensive"]] = {
		[42000] = "\n" 
					.. YELLOW .. "完成奎尔丹纳斯岛和沙塔斯城的相关日常任务"
	},
	[BF["The Mag'har"]] = {
		[42000] = "\n" 
				.. "|r上缴 [黑曜石作战念珠] +250 声望值\n\n"
				.. WHITE .. "纳格兰和泰罗卡森林的任何食人魔 (+5~11 声望值)\n"
				.. YELLOW .. "完成纳格兰的任务"
	},
	[BF["Kurenai"]] = {
		[42000] = "\n" 
				.. "|r上缴 [黑曜石作战念珠] +250 声望值\n\n"
				.. WHITE .. "纳格兰和泰罗卡森林的任何食人魔 (+5~11 声望值)\n"
				.. YELLOW .. "完成纳格兰的任务"
	},
	[BF["Sporeggar"]] = {
		[0] = "\n" 
				.. "上缴 [成熟的孢子] 或者 [沼泽领主的卷须] +250 声望值\n\n"
				.. YELLOW .. "沼泽领主,\n打开[孢子囊]\n"
				.. WHITE .. "(赞加沼泽)",
		[3000] = "\n" 
				.. "上缴 [亮顶蘑菇] +250 声望值\n\n"
				.. "上缴 [成熟的孢子] 或者 [沼泽领主的卷须] +250 声望值\n\n"
				.. YELLOW .. "沼泽领主,\n打开[孢子囊]\n"
				.. WHITE .. "(赞加沼泽)",
		[42000] = "\n" 
				.. WHITE .. "上缴 [红色木槿] +250 声望值\n\n"
				.. GREEN .. "幽暗沼泽 |r(普通或者英雄)\n"
				.. "上缴 [成熟的孢子] +250 声望值\n\n"
				.. YELLOW .. "现在 我们是朋友了… (可重复)|r +250 声望值\n"
	},
	[BF["Sha'tari Skyguard"]] = {
		[42000] = "\n" 
				.. YELLOW .. "轰炸斯克提斯 (日常)|r +350 声望值\n"
				.. YELLOW.. "逃离斯克提斯 (日常)|r +350 声望值\n"
				.. YELLOW.. "仇敌的血脉 (可重复)|r +350 声望值\n"
				.. YELLOW.. "召唤泰罗克 (可重复)|r +350 声望值\n"
				.. WHITE .. "(斯克提斯)"
				.. YELLOW.. "继续轰炸！ (日常)|r +500 声望值\n"
				.. YELLOW.. "捕捉更多以太鳐！ (日常)|r +350 声望值\n"
				.. YELLOW.. "埃匹希斯的顿悟 (日常)|r +350 声望值\n"
				.. YELLOW.. "放逐更多恶魔 (日常)|r +350 声望值\n"
				.. WHITE .. "(刀锋山)",
	},
	[BF["Ogri'la"]] = {
		[42000] = "\n" 
				.. YELLOW.. "继续轰炸！ (日常)|r +500 声望值\n"
				.. YELLOW.. "捕捉更多以太鳐！ (日常)|r +350 声望值\n"
				.. YELLOW.. "埃匹希斯的顿悟 (日常)|r +350 声望值\n"
				.. YELLOW.. "放逐更多恶魔 (日常)|r +350 声望值\n"
				.. WHITE .. "(刀锋山)",
	}
}
