--------------------------------------------------------------------------
-- GTFO_PowerAuras.lua 
--------------------------------------------------------------------------
--[[
GTFO & Power Auras Integration
Author: Zensunim of Malygos

Change Log:
	v2.1
		- Added Power Auras Integration
	v4.7
		- Updated Power Auras Integration function

]]--

function GTFO_DisplayAura_PowerAuras(iType)
	GTFO.ShowAlert = true;
	if (iType == 1) then
		if (PowaAuras.AurasByType.GTFOHigh) then
			for index, auraid in ipairs(PowaAuras.AurasByType.GTFOHigh) do
				if (PowaAuras.Auras[auraid]:ShouldShow()) then
					shouldShow, reason = PowaAuras:CheckMultiple(PowaAuras.Auras[auraid], "", nil);
					if (shouldShow) then
						GTFO_DebugPrint("Displaying High Damage Power Aura #"..tostring(auraid));
						PowaAuras:DisplayAura(auraid);
						if (PowaAuras.Auras[auraid].timerduration == 0) then
							PowaAuras.Auras[auraid].HideRequest = true;
						end
					end   
				end
			end
		end
	elseif (iType == 2) then
		if (PowaAuras.AurasByType.GTFOLow) then
			for index, auraid in ipairs(PowaAuras.AurasByType.GTFOLow) do
				if (PowaAuras.Auras[auraid]:ShouldShow()) then
					shouldShow, reason = PowaAuras:CheckMultiple(PowaAuras.Auras[auraid], "", nil);
					if (shouldShow) then
						GTFO_DebugPrint("Displaying Low Damage Power Aura #"..tostring(auraid));
						PowaAuras:DisplayAura(auraid);
						if (PowaAuras.Auras[auraid].timerduration == 0) then
							PowaAuras.Auras[auraid].HideRequest = true;
						end
					end
				end
			end
		end
	elseif (iType == 3) then
		if (PowaAuras.AurasByType.GTFOFail) then
			for index, auraid in ipairs(PowaAuras.AurasByType.GTFOFail) do
				if (PowaAuras.Auras[auraid]:ShouldShow()) then
					shouldShow, reason = PowaAuras:CheckMultiple(PowaAuras.Auras[auraid], "", nil);
					if (shouldShow) then
						GTFO_DebugPrint("Displaying Fail Alert Power Aura #"..tostring(auraid));
						PowaAuras:DisplayAura(auraid);
						if (PowaAuras.Auras[auraid].timerduration == 0) then
							PowaAuras.Auras[auraid].HideRequest = true;
						end
					end
				end
			end
		end
	elseif (iType == 4) then
		if (PowaAuras.AurasByType.GTFOFriendlyFire) then
			for index, auraid in ipairs(PowaAuras.AurasByType.GTFOFriendlyFire) do
				if (PowaAuras.Auras[auraid]:ShouldShow()) then
					shouldShow, reason = PowaAuras:CheckMultiple(PowaAuras.Auras[auraid], "", nil);
					if (shouldShow) then
						GTFO_DebugPrint("Displaying Friendly Fire Power Aura #"..tostring(auraid));
						PowaAuras:DisplayAura(auraid);
						if (PowaAuras.Auras[auraid].timerduration == 0) then
							PowaAuras.Auras[auraid].HideRequest = true;
						end
					end
				end
			end
		end
	end
	GTFO.ShowAlert = nil;
end