RevEng = CreateFrame("Frame") 
RevEng.Hooks = {}
RevEng:Show()
RevEng:RegisterEvent('TRADE_SKILL_SHOW')

RevEng:SetScript("OnEvent", function(self, event) RevEng:TRADE_SKILL_SHOW() end);

function RevEng:ScanFilter()
	for i=1, GetNumTradeSkills() do
		local itemlink = GetTradeSkillItemLink(i)
	end
end

function RevEng:TRADE_SKILL_SHOW()
	-- Now to scan and store skills by itemid
	self:RegisterEvent('TRADE_SKILL_CLOSE')
	self.TradeSkills = {}
	SetTradeSkillSubClassFilter(0, 1, 1)
	for i=1, GetNumTradeSkills() do
		local itemName, itemType = GetTradeSkillInfo(i)
		if(itemType ~= "header") then
			local itemLink = GetTradeSkillItemLink(i)
			local _, _, link = string.find(itemLink or "", "-*:(%d+):.*")
			if (link) then
				self.TradeSkills[link] = {i, itemName}
			end
		else
			ExpandTradeSkillSubClass(i)
		end
	end
	if(self.Hooks and self.Hooks.enabled) then
	else
		for i=1,7 do
			local button = getglobal("TradeSkillReagent"..i); 
            self.Hooks["TradeSkillReagent"..i] = {}
            self.Hooks["TradeSkillReagent"..i].OnClick = button:GetScript("OnClick");
            self.Hooks["TradeSkillReagent"..i].OnEnter = button:GetScript("OnEnter");
            self.Hooks["TradeSkillReagent"..i].OnLeave = button:GetScript("OnLeave");
            button:SetScript("OnClick", function() RevEng:Clicked(button, i) end);
			button:SetScript("OnEnter", function() RevEng:Entered(button, i) end)
			button:SetScript("OnLeave", function() RevEng:Left(button) end)
		end
        self.Hooks.enabled = true
	end
	if(not self.UpHistory) then
		self.UpHistory = CreateFrame("Button", "ReverseEngineeringUp", TradeSkillFrame)
		self.UpHistory:SetHeight(32)
		self.UpHistory:SetWidth(32)
		self.UpHistory:SetNormalTexture("Interface\\Buttons\\UI-RotationRight-Button-Up")
		self.UpHistory:SetPushedTexture("Interface\\Buttons\\UI-RotationRight-Button-Down")	
		self.UpHistory:SetHighlightTexture("Interface\\Buttons\\ButtonHilight-Round")
		self.UpHistory:SetScript("OnClick", function() RevEng:MoveUp() end)
		self.UpHistory:SetWidth(32)
		self.UpHistory:SetHeight(32)
	end
	self.UpHistory:ClearAllPoints()
	self.UpHistory:SetPoint("TOPRIGHT", TradeSkillDetailScrollFrameScrollBarScrollUpButton, "TOPLEFT")
	self.UpHistory:Show()

	if(not self.GearTexture) then
		self.GearTexture = TradeSkillFrame:CreateTexture(nil, "OVERLAY")
		self.GearTexture:SetTexture("Interface\\Icons\\Trade_Engineering")
		self.GearTexture:SetHeight(16)
		self.GearTexture:SetWidth(16)
	end
	self.History = {}
end

function RevEng:TRADE_SKILL_CLOSE()
	self:UnhookAll();
	self:UnregisterEvent("TRADE_SKILL_CLOSE")
end

function RevEng:UnhookAll()
    for i=1,7 do
        local button = getglobal("TradeSkillReagent"..i);
        button:SetScript("OnClick", self.Hooks["TradeSkillReagent"..i].OnClick);
		button:SetScript("OnEnter", self.Hooks["TradeSkillReagent"..i].OnEnter);
		button:SetScript("OnLeave", self.Hooks["TradeSkillReagent"..i].OnLeave);
    end
    self.Hooks.enabled = false
end

function RevEng:Clicked(button, index)
	if(not IsShiftKeyDown()) then
		local _, _, itemID = string.find(GetTradeSkillReagentItemLink(GetTradeSkillSelectionIndex(), index), "-*:(%d+):.*")
		if (itemID) then
			if (self.TradeSkills[itemID]) then
				local _, _, HistoryID = string.find(GetTradeSkillItemLink(GetTradeSkillSelectionIndex()), "-*:(%d+):.*")
				table.insert(self.History, HistoryID)
				RevEng:MoveTo(itemID)
			end
		end
	end
    if self.Hooks[button:GetName()] and self.Hooks[button:GetName()]["OnClick"] then
    	self.Hooks[button:GetName()]["OnClick"](button);
    end
	self:Left(button);
end

function RevEng:MoveUp()
	local itemID = table.remove(self.History)
	if(itemID) then
		RevEng:MoveTo(itemID)
	end
end

function RevEng:MoveTo(itemID)
	SetTradeSkillSubClassFilter(0, 1, 1)
	SelectTradeSkill(self.TradeSkills[itemID][1])
	TradeSkillFrame_SetSelection(self.TradeSkills[itemID][1])
	TradeSkillListScrollFrame:SetVerticalScroll(0)
	local inc = 16 * (self.TradeSkills[itemID][1] - 1)
	local List = TradeSkillListScrollFrame
	local scrollmax = TradeSkillListScrollFrame:GetVerticalScrollRange()
	TradeSkillListScrollFrame:SetVerticalScroll(inc)
	while(not string.find(TradeSkillSkill1:GetText(), self.TradeSkills[itemID][2]) and -- insurance =P 
			inc < scrollmax ) do
		inc = inc + 16
		TradeSkillListScrollFrame:SetVerticalScroll(inc)
	end
end

function RevEng:Entered(button, index)
	if(getglobal("TradeSkillReagent"..index) ~= button) then
		return
	end
    if self.Hooks[button:GetName()] and self.Hooks[button:GetName()]["OnEnter"] then
    	self.Hooks[button:GetName()]["OnEnter"](button);
    end
	local itemID = select(3,string.find(GetTradeSkillReagentItemLink(GetTradeSkillSelectionIndex(), index), "-*:(%d+):.*"))
	if (itemID) then
		if (self.TradeSkills[itemID]) then
			self.GearTexture:SetParent(button)
			self.GearTexture:ClearAllPoints()
			self.GearTexture:SetPoint("TOPLEFT", button)
			self.GearTexture:Show()
		else
			self.GearTexture:Hide()
		end
	end
end

function RevEng:Left(button)
	self.GearTexture:Hide()
    if self.Hooks[button:GetName()] and self.Hooks[button:GetName()]["OnLeave"] then
    	self.Hooks[button:GetName()]["OnLeave"](button)
    end
end
