-------------------------------
-- Database
-- ========
--
-- zoneDetail array -
--                 1,2: low level, high level
--					0,0 will not show any level range
--					<0,<0 denotes a capital city
--					x,y (anything else) will show as level range
--
--                 3: zone type
--					N - contested zone or neutral (sanctuary) capital city
--					A - Alliance controlled/favored
--					H - Horde controlled/favored
--					C - Continent (loaded automatically during init)
--					X - PvP combat zone (Wintergrasp, etc)
--
-------------------------------

function ZoneLevelInfo_DB()

	local zoneDetail = {

	-- KALOMDOR and EASTERN KINGDOMS
		 ["Ironforge"] = {-1,-1,"A"}
		,["Stormwind City"] = {-1,-1,"A"}
		,["Darnassus"] = {-1,-1,"A"}
		,["The Exodar"] = {-1,-1,"A"}
		,["Deeprun Tram"] = {-1,-1,"A"}
		,["Silvermoon City"] = {-1,-1,"H"}
		,["Undercity"] = {-1,-1,"H"}
		,["Orgrimmar"] = {-1,-1,"H"}
		,["Thunder Bluff"] = {-1,-1,"H"}
		,["Ahn'Qiraj: The Fallen Kingdom"] = {0,0,"N"}
		,["GM Island"] = {0,0,"N"}
		,["Moonglade"] = {0,0,"N"}
		,["The Steam Pools"] = {0,0,"N"}
		,["The Veiled Sea"] = {0,0,"N"}
		,["Ruins of Gilneas City"] = {1,5,"A",["Note"]="Worgen only"}
		,["Ruins of Gilneas"] = {1,12,"A",["Note"]="Worgen only"}
		,["Dun Morogh"] = {1,10,"A"}
		,["Elwynn Forest"] = {1,10,"A"}
		,["Azuremyst Isle"] = {1,10,"A"}
		,["Teldrassil"] = {1,10,"A"}
		,["Eversong Woods"] = {1,10,"H"}
		,["Tirisfal Glades"] = {1,10,"H"}
		,["Durotar"] = {1,10,"H"}
		,["Mulgore"] = {1,10,"H"}
		,["Westfall"] = {10,15,"A"}
		,["Loch Modan"] = {10,20,"A"}
		,["Bloodmyst Isle"] = {10,20,"A"}
		,["Darkshore"] = {10,20,"A"}
		,["Ghostlands"] = {10,20,"H"}
		,["Silverpine Forest"] = {10,20,"H"}
		,["Azshara"] = {10,20,"H"}
		,["Northern Barrens"] = {10,20,"H"}
		,["Redridge Mountains"] = {15,20,"A"}
		,["Duskwood"] = {20,25,"A"}
		,["Hillsbrad Foothills"] = {20,25,"H"}
		,["Ashenvale"] = {20,25,"N"}
		,["Arathi Highlands"] = {25,30,"N"}
		,["Northern Stranglethorn"] = {25,30,"N"}
		,["Wetlands"] = {20,25,"A"}
		,["Stonetalon Mountains"] = {25,30,"N"}
		,["The Cape of Stranglethorn"] = {30,35,"N"}
		,["The Hinterlands"] = {30,35,"N"}
		,["Southern Barrens"] = {30,35,"N"}
		,["Desolace"] = {30,35,"N"}
		,["Stranglethorn Vale"] = {25,35,"N"}
		,["Western Plaguelands"] = {35,40,"N"}
		,["Dustwallow Marsh"] = {35,40,"N"}
		,["Feralas"] = {35,40,"N"}
		,["Badlands"] = {45,48,"N"}
		,["Swamp of Sorrows"] = {52,54,"N"}
		,["Eastern Plaguelands"] = {40,45,"N"}
		,["Thousand Needles"] = {40,45,"N"}
		,["Searing Gorge"] = {48,50,"N"}
		,["Felwood"] = {45,50,"N"}
		,["Tanaris"] = {45,50,"N"}
		,["Un'Goro Crater"] = {50,55,"N"}
		,["Winterspring"] = {50,55,"N"}
		,["Burning Steppes"] = {50,52,"N"}
		,["Blackrock Mountain"] = {50,60,"N"}
		,["Deadwind Pass"] = {0,0,"N"}
		,["Plaguelands: The Scarlet Enclave"] = {55,58,"N"}
		,["Blasted Lands"] = {54,58,"N"}
		,["Silithus"] = {55,60,"N"}
		,["Isle of Quel'Danas"] = {70,70,"N"}
		,["Vashj'ir"] = {80,82,"N"}
		,["Kelp'thar Forest"] = {80,82,"N"}	--Vashj'ir
		,["Shimmering Expanse"] = {80,82,"N"}	--Vashj'ir
		,["Abyssal Depths"] = {80,82,"N"}	--Vashj'ir
		,["Mount Hyjal"] = {80,82,"N"}
		,["Twilight Highlands"] = {84,85,"N"}
		,["Uldum"] = {83,84,"N"}
	-- ELSEWHERE IN AZEROTH
		,["Deepholm"] = {82,83,"N"}
		,["Kezan"] = {1,5,"H",["Note"]="Goblin only"}
		,["The Lost Isles"] = {5,12,"H",["Note"]="Goblin only"}
		,["The Maelstrom"] = {0,0,"S"}
		,["Tol Barad"] = {85,85,"X"}
		,["Tol Barad Peninsula"] = {85,85,"N"}
	-- OUTLANDS
		,["Hellfire Peninsula"] = {58,63,"N"}
		,["Zangarmarsh"] = {60,64,"N"}
		,["Terokkar Forest"] = {62,65,"N"}
		,["Nagrand"] = {64,67,"N"}
		,["Blade's Edge Mountains"] = {65,68,"N"}
		,["Netherstorm"] = {67,70,"N"}
		,["Shadowmoon Valley"] = {67,70,"N"}
		,["Shattrath City"] = {-1,-1,"S"}
	-- NORTHREND
		,["Borean Tundra"] = {68,72,"N"}
		,["Howling Fjord"] = {68,72,"N"}
		,["Dragonblight"] = {71,74,"N"}
		,["Grizzly Hills"] = {73,75,"N"}
		,["Crystalsong Forest"] = {74,76,"N"}
		,["Zul'Drak"] = {74,77,"N"}
		,["Sholazar Basin"] = {76,78,"N"}
		,["Hrothgar's Landing"] = {77,80,"N"}
		,["Icecrown"] = {77,80,"N"}
		,["The Storm Peaks"] = {77,80,"N"}
		,["Wintergrasp"] = {77,80,"X"}
		,["Dalaran"] = {-1,-1,"S"}

		};

	return zoneDetail;
end;

